%global momorel 1

Name:          sbc
Version:       1.3
Release:       %{momorel}m%{?dist}
Summary:       Sub Band Codec used by bluetooth A2DP

License:       GPLv2 and LGPLv2+
Group:         Applications/System
URL:           http://www.bluez.org
Source0:       http://www.kernel.org/pub/linux/bluetooth/%{name}-%{version}.tar.gz
NoSource:      0

BuildRequires: libsndfile-devel

%description
SBC (Sub Band Codec) is a low-complexity audio codec used in the Advanced Audio 
Distribution Profile (A2DP) bluetooth standard but can be used standalone. It 
uses 4 or 8 subbands, an adaptive bit allocation algorithm in combination with 
an adaptive block PCM quantizers.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Files for development with %{name}.

%prep
%setup -q

%build
%configure --disable-static

make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
%makeinstall

find %{buildroot} -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%doc COPYING AUTHORS ChangeLog
%{_bindir}/sbc*
%{_libdir}/libsbc.so.*

%files devel
%{_includedir}/sbc/
%{_libdir}/pkgconfig/sbc.pc
%{_libdir}/libsbc.so

%changelog
* Sat Nov  1 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.3-1m)
- update to 1.3

* Wed Dec 26 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.0-1m)
- Initial commit Momonga Linux

* Tue Dec 18 2012 Rex Dieter <rdieter@fedoraproject.org> 1.0-2
- track lib soname, minor .spec cleanup

* Sat Dec  1 2012 Peter Robinson <pbrobinson@fedoraproject.org> 1.0-1
- Initial package
